Skip to content
Docs

Delete project-level redirects.

DELhttps://api.vercel.com/v1/bulk-redirects
Deletes the provided redirects from the latest version of the projects' bulk redirects. Stages a new change with the new redirects and returns the alias for the new version in the response.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.bulkRedirects.deleteRedirects({
projectId: "<id>",
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
});
console.log(result);
}
run();
Response
{
"alias": "string",
"version": {
"id": "icfg_1234567890",
"key": "string",
"lastModified": "123",
"createdBy": "string",
"name": "Example Name",
"isStaging": "false",
"isLive": "false",
"redirectCount": "123",
"alias": "string"
}
}
AuthorizationbearerToken

Default authentication mechanism

projectIdstringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
namestringOptional
redirectsarrayRequired
The redirects to delete. The source of the redirect is used to match the redirect to delete.
200Success
aliasstringOptional
versionobjectRequired
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
500Error